BernsteinPolynomial Class Reference

class of Bernstein polynomials More...

`#include <ql/math/bernsteinpolynomial.hpp>`

## Static Public Member Functions

static Real | get (Natural i, Natural n, Real x)

## Detailed Description

class of Bernstein polynomials

see definition:

Weisstein, Eric W. "Bernstein Polynomial." From MathWorld–A Wolfram Web Resource. http://mathworld.wolfram.com/BernsteinPolynomial.html

The Bernstein polynomials \( B_{i,n}(x) \) are defined as

\[ B_{i,n}(x) \equiv \left( \begin{array}{c} n \\ i \end{array} \right) x^i (1-x)^{n-i} \]